Alembic Version 1.1

Loading...
Searching...
No Matches
Basis.h File Reference
`#include <string>`
`#include <Alembic/Util/Foundation.h>`
`#include <Alembic/Util/Export.h>`
Include dependency graph for Basis.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | Alembic
| Alembic namespace ...
namespace | Alembic::AbcGeom
namespace | Alembic::AbcGeom::ALEMBIC_VERSION_NS

## Enumerations
enum | Alembic::AbcGeom::ALEMBIC_VERSION_NS::BasisType { Alembic::AbcGeom::ALEMBIC_VERSION_NS::kNoBasis = 0 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kBezierBasis = 1 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kBsplineBasis = 2 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kCatmullromBasis = 3 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kHermiteBasis = 4 , Alembic::AbcGeom::ALEMBIC_VERSION_NS::kPowerBasis = 5 }

## Functions
ALEMBIC_EXPORT std::string | Alembic::AbcGeom::ALEMBIC_VERSION_NS::GetBasisNameFromBasisType (const BasisType basis)
ALEMBIC_EXPORT int | Alembic::AbcGeom::ALEMBIC_VERSION_NS::GetStepFromBasisType (const BasisType basis)